Debian Bug report logs - #679327
debian-installer: misleading man-db title for grub prompts

version graph

Package: debconf; Maintainer for debconf is Debconf Developers <debconf-devel@lists.alioth.debian.org>; Source for debconf is src:debconf.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Wed, 27 Jun 2012 21:57:02 UTC

Severity: important

Tags: d-i

Found in versions debconf/1.5.48, debconf/1.5.46

Fixed in version debconf/1.5.49

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#679327; Package debian-installer. (Wed, 27 Jun 2012 21:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 27 Jun 2012 21:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: misleading man-db title for grub prompts
Date: Wed, 27 Jun 2012 23:53:43 +0200
[Message part 1 (text/plain, inline)]
Package: debian-installer
Version: 20120626
Severity: important

Hi,

I thought it was fixed in squeeze's release cycle, but apparently not.
Seen with graphical install, on i386, with the above-mentioned image,
but also with squeeze's business card.

When reaching grub prompts, the title says “Configuring man-db” (even
though it's properly localized). Might be some issue on the debconf
side, I didn't look at it yet.

Screenshot attached, emphasis is mine.

Mraw,
KiBi.
[di-bug2-cropped.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#679327; Package debian-installer. (Fri, 21 Dec 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 21 Dec 2012 23:48:04 GMT) Full text and rfc822 format available.

Message #10 received at 679327@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 679327@bugs.debian.org
Cc: debian-boot@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>
Subject: Re: Bug#679327: debian-installer: misleading man-db title for grub prompts
Date: Sat, 22 Dec 2012 00:45:02 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 debconf
Control: found -1 1.5.46
Control: found -1 1.5.48
Control: tag -1 d-i

(Older versions are also affected, but I'm making sure at least
wheezy/sid versions are marked properly.)

Cyril Brulebois <kibi@debian.org> (27/06/2012):
> Package: debian-installer
> Version: 20120626
> Severity: important
> 
> I thought it was fixed in squeeze's release cycle, but apparently
> not.  Seen with graphical install, on i386, with the above-mentioned
> image, but also with squeeze's business card.
> 
> When reaching grub prompts, the title says “Configuring man-db”
> (even though it's properly localized). Might be some issue on the
> debconf side, I didn't look at it yet.

So, finally tracked it down, confirming my initial suspicion: the
triggers are doing that.

Basically, we have debconf in target setting titles through the
frontend script, even when maintainer scripts are called with the
“triggered” action.

I'm suggesting the attached patch, avoiding setting the title in that
specific case. That doesn't affect debconf-apt-progress feedback: one
still sees triggers being processed (and that's good since they can
take a while).


Confirmed by partial-cloning an archive, hacking hashsums and keyrings
in place, and installing with that… [*crazy evening*]

Does that look fine enough? If so, a quick upload to get that fixed in
testing before publishing d-i wheezy rc1 would be nice. (I'll be
replying to the debconf 1.5.48 unblock request in the meanwhile.)

Mraw,
KiBi.
[0001-frontend-Stop-emitting-title-updates-with-triggered-.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-installer' to 'debconf'. Request was from Cyril Brulebois <kibi@debian.org> to 679327-submit@bugs.debian.org. (Fri, 21 Dec 2012 23:48:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions debian-installer/20120626. Request was from Cyril Brulebois <kibi@debian.org> to 679327-submit@bugs.debian.org. (Fri, 21 Dec 2012 23:48:04 GMT) Full text and rfc822 format available.

Marked as found in versions debconf/1.5.46. Request was from Cyril Brulebois <kibi@debian.org> to 679327-submit@bugs.debian.org. (Fri, 21 Dec 2012 23:48:05 GMT) Full text and rfc822 format available.

Marked as found in versions debconf/1.5.48. Request was from Cyril Brulebois <kibi@debian.org> to 679327-submit@bugs.debian.org. (Fri, 21 Dec 2012 23:48:05 GMT) Full text and rfc822 format available.

Added tag(s) d-i. Request was from Cyril Brulebois <kibi@debian.org> to 679327-submit@bugs.debian.org. (Fri, 21 Dec 2012 23:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#679327; Package debconf. (Sat, 22 Dec 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Sat, 22 Dec 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 679327@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 679327@bugs.debian.org, debian-boot@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>
Subject: Re: [Debconf-devel] Bug#679327: debian-installer: misleading man-db title for grub prompts
Date: Sat, 22 Dec 2012 16:49:20 -0400
[Message part 1 (text/plain, inline)]
Cyril Brulebois wrote:
> So, finally tracked it down, confirming my initial suspicion: the
> triggers are doing that.
> 
> Basically, we have debconf in target setting titles through the
> frontend script, even when maintainer scripts are called with the
> “triggered” action.
> 
> I'm suggesting the attached patch, avoiding setting the title in that
> specific case. That doesn't affect debconf-apt-progress feedback: one
> still sees triggers being processed (and that's good since they can
> take a while).
> 
> 
> Confirmed by partial-cloning an archive, hacking hashsums and keyrings
> in place, and installing with that… [*crazy evening*]
> 
> Does that look fine enough? If so, a quick upload to get that fixed in
> testing before publishing d-i wheezy rc1 would be nice. (I'll be
> replying to the debconf 1.5.48 unblock request in the meanwhile.)

This seems acceptable for now.

If a package used debconf for interaction in a trigger, it would then
have the wrong title .. but until someone finds a reason for a package
to need to do that, we can live with this patch.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#679327; Package debconf. (Wed, 26 Dec 2012 02:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Wed, 26 Dec 2012 02:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 679327@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 679327@bugs.debian.org, debian-boot@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>
Cc: debian-boot@lists.debian.org
Subject: Re: [Debconf-devel] Bug#679327: debian-installer: misleading man-db title for grub prompts
Date: Wed, 26 Dec 2012 03:34:01 +0100
[Message part 1 (text/plain, inline)]
Joey Hess <joeyh@debian.org> (22/12/2012):
> This seems acceptable for now.
> 
> If a package used debconf for interaction in a trigger, it would
> then have the wrong title .. but until someone finds a reason for a
> package to need to do that, we can live with this patch.

I thought so, but thanks for confirming.

I've just pushed that patch and released 1.5.49 after making sure
(again) the patched debconf is really making this bug go away.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Wed, 26 Dec 2012 02:51:05 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Wed, 26 Dec 2012 02:51:05 GMT) Full text and rfc822 format available.

Message #35 received at 679327-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 679327-close@bugs.debian.org
Subject: Bug#679327: fixed in debconf 1.5.49
Date: Wed, 26 Dec 2012 02:47:33 +0000
Source: debconf
Source-Version: 1.5.49

We believe that the bug you reported is fixed in the latest version of
debconf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679327@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 Dec 2012 02:02:36 +0100
Source: debconf
Binary: debconf debconf-i18n debconf-doc debconf-utils
Architecture: source all
Version: 1.5.49
Distribution: unstable
Urgency: low
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-doc - debconf documentation
 debconf-i18n - full internationalization support for debconf
 debconf-utils - debconf utilities
Closes: 679327
Changes: 
 debconf (1.5.49) unstable; urgency=low
 .
   * frontend: Don't set title in the maintainer script case when the
     action is “triggered”. This totally confuses the Debian Installer
     (“Configuring man-db” instead of “Configuring grub-pc”, notably).
     Closes: #679327
Checksums-Sha1: 
 09c549e88d80fcc55d08e655a4b10d750bcfa67a 1285 debconf_1.5.49.dsc
 2b033161d44583b6dcc9b4fc40b9c60ca4abda78 1003721 debconf_1.5.49.tar.gz
 438f8e4c538bb08d1abb54e8d9f4d4ed7b38e46e 171018 debconf_1.5.49_all.deb
 f480aad81f39b4fc044223f7c224776f14cf3f24 237226 debconf-i18n_1.5.49_all.deb
 506d96e0de04c55b827bb949ac65f650a01a0503 314258 debconf-doc_1.5.49_all.deb
 f8cd7d2a75b732f13f75c4781957e7bf62caadf7 55802 debconf-utils_1.5.49_all.deb
Checksums-Sha256: 
 453f0618e1ea64deaa13455cee85a9e833628ddc4859b94c491683194ec45e21 1285 debconf_1.5.49.dsc
 1e8d900c90b99390ea738fb4ce85ae0d0c2e45c1936b0979e34563c6baffc8aa 1003721 debconf_1.5.49.tar.gz
 a6ce96ef5805f2e273c4e74f56eb3213db93551d0fa077ee4ed16b36b4e11a18 171018 debconf_1.5.49_all.deb
 47ad766dbfd33464c269f467306fedc56061ebb1fcab5c1e0573c977875545c9 237226 debconf-i18n_1.5.49_all.deb
 6679ecf2ac346ed8879df0b05e61f71cb858c3b30a5a47a783b18d144a45ac3d 314258 debconf-doc_1.5.49_all.deb
 30a435e9241fc8f71b9b3e52a248fbbbcbad131fac0223439a21929eb59fceef 55802 debconf-utils_1.5.49_all.deb
Files: 
 bcde922db3e4bc6191ff12e8abe6c42a 1285 admin optional debconf_1.5.49.dsc
 cf2b9600849f2be083760e1eb33ba05c 1003721 admin optional debconf_1.5.49.tar.gz
 e8ca20ff0aac63c8ab555ba8fe85ff44 171018 admin important debconf_1.5.49_all.deb
 a8dc17fc0f872bb4a64cbdf463ac9778 237226 localization important debconf-i18n_1.5.49_all.deb
 ba5cd4793bc9a256ef361e8c5d80b5b5 314258 doc optional debconf-doc_1.5.49_all.deb
 60f48ca5fbb15ac794669808a31cb757 55802 devel optional debconf-utils_1.5.49_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDaYa4ACgkQeGfVPHR5Nd1NIQCgkCDYE5eX8PCGppiaz2ySs78p
y8oAoKaPpQRkg1HWcopJ0BEuHUl+2Nbj
=4L+8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Feb 2013 07:25:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:57:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.